Audit Logs
All operations require authentication.
Get your audit logsAlpha
Response
authentication details
event's date
specific fields for GROUP_CREATED events
specific fields for GROUP_DELETED events
specific fields for GROUP_MODIFIED events
IP associated to this event
specific fields for LOGIN_SUCCESS events
specific fields for POLICY_CREATED events
specific fields for POLICY_DELETED events
specific fields for POLICY_MODIFIED events
specific fields for PROVIDER_CREATED events
specific fields for PROVIDER_DELETED events
specific fields for PROVIDER_MODIFIED events
specific fields for RESOURCE_GROUP_CREATED events
specific fields for RESOURCE_GROUP_DELETED events
specific fields for RESOURCE_GROUP_MODIFIED events
specific fields for TOKEN_CREATED events
specific fields for TOKEN_DELETED events
specific fields for TOKEN_MODIFIED events
type of event
ACCOUNT_PASSWORD_CHANGEDGROUP_CREATEDGROUP_DELETEDGROUP_MODIFIEDLOGIN_SUCCESSPOLICY_CREATEDPOLICY_DELETEDPOLICY_MODIFIEDPROVIDER_CREATEDPROVIDER_DELETEDPROVIDER_MODIFIEDRESOURCE_GROUP_CREATEDRESOURCE_GROUP_DELETEDRESOURCE_GROUP_MODIFIEDTOKEN_CREATEDTOKEN_DELETEDTOKEN_MODIFIEDUSER_CREATEDUSER_DELETEDUSER_MODIFIEDUSER_PASSWORD_CHANGEDspecific fields for USER_CREATED events
specific fields for USER_DELETED events
specific fields for USER_MODIFIED events
specific fields for USER_PASSWORD_CHANGED events
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit \
-H "authorization: Bearer $OVH_TOKEN"[ { "authDetails": { "userDetails": { "type": "ACCOUNT", "user": "string" } }, "createdAt": "2024-01-01T12:00:00Z", "groupCreatedDetails": { "group": "string", "new": { "description": "string", "name": "string", "role": "string" } }, "groupDeletedDetails": { "group": "string", "old": { "description": "string", "name": "string", "role": "string" } }, "groupModifiedDetails": { "group": "string", "new": { "description": "string", "name": "string", "role": "string" }, "old": { "description": "string", "name": "string", "role": "string" } }, "ip": "192.0.2.0", "loginSuccessDetails": { "mfaType": "BACKUP_CODE", "userAgent": "string" }, "policyCreatedDetails": { "added": { "identities": [ "string" ], "resources": [ "string" ] }, "new": { "description": "string", "name": "string" }, "policyId": "00000000-0000-0000-0000-000000000000", "policyName": "string" }, "policyDeletedDetails": { "old": { "description": "string", "name": "string" }, "policyId": "00000000-0000-0000-0000-000000000000", "policyName": "string", "removed": { "identities": [ "string" ], "resources": [ "string" ] } }, "policyModifiedDetails": { "added": { "identities": [ "string" ], "resources": [ "string" ] }, "new": { "description": "string", "name": "string" }, "old": { "description": "string", "name": "string" }, "policyId": "00000000-0000-0000-0000-000000000000", "policyName": "string", "removed": { "identities": [ "string" ], "resources": [ "string" ] } }, "providerCreatedDetails": { "new": { "groupAttributeName": "string", "requestSignatureEnabled": true, "userAttributeName": "string", "usersDisabled": true }, "ssoServiceURL": "string" }, "providerDeletedDetails": { "old": { "groupAttributeName": "string", "requestSignatureEnabled": true, "userAttributeName": "string", "usersDisabled": true }, "ssoServiceURL": "string" }, "providerModifiedDetails": { "new": { "groupAttributeName": "string", "requestSignatureEnabled": true, "userAttributeName": "string", "usersDisabled": true }, "old": { "groupAttributeName": "string", "requestSignatureEnabled": true, "userAttributeName": "string", "usersDisabled": true }, "ssoServiceURL": "string" }, "resourceGroupCreatedDetails": { "added": { "resources": [ "string" ] }, "new": { "name": "string" }, "resourceGroupId": "00000000-0000-0000-0000-000000000000", "resourceGroupName": "string" }, "resourceGroupDeletedDetails": { "old": { "name": "string" }, "removed": { "resources": [ "string" ] }, "resourceGroupId": "00000000-0000-0000-0000-000000000000", "resourceGroupName": "string" }, "resourceGroupModifiedDetails": { "added": { "resources": [ "string" ] }, "new": { "name": "string" }, "old": { "name": "string" }, "removed": { "resources": [ "string" ] }, "resourceGroupId": "00000000-0000-0000-0000-000000000000", "resourceGroupName": "string" }, "tokenCreatedDetails": { "new": { "description": "string", "expiresAt": "2024-01-01T12:00:00Z" }, "tokenCreatedAt": "2024-01-01T12:00:00Z", "tokenName": "string", "user": "string" }, "tokenDeletedDetails": { "old": { "description": "string", "expiresAt": "2024-01-01T12:00:00Z" }, "tokenCreatedAt": "2024-01-01T12:00:00Z", "tokenName": "string", "user": "string" }, "tokenModifiedDetails": { "new": { "description": "string", "expiresAt": "2024-01-01T12:00:00Z" }, "old": { "description": "string", "expiresAt": "2024-01-01T12:00:00Z" }, "tokenCreatedAt": "2024-01-01T12:00:00Z", "tokenName": "string", "user": "string" }, "type": "ACCOUNT_PASSWORD_CHANGED", "userCreatedDetails": { "new": { "description": "string", "group": "string", "passwordRecoveryEmail": "string", "userType": "ROOT" }, "user": "string", "userCreatedAt": "2024-01-01T12:00:00Z", "userType": "ROOT" }, "userDeletedDetails": { "old": { "description": "string", "group": "string", "passwordRecoveryEmail": "string", "userType": "ROOT" }, "user": "string", "userCreatedAt": "2024-01-01T12:00:00Z", "userType": "ROOT" }, "userModifiedDetails": { "new": { "description": "string", "group": "string", "passwordRecoveryEmail": "string", "userType": "ROOT" }, "old": { "description": "string", "group": "string", "passwordRecoveryEmail": "string", "userType": "ROOT" }, "user": "string", "userCreatedAt": "2024-01-01T12:00:00Z" }, "userPasswordChangedDetails": { "user": "string", "userCreatedAt": "2024-01-01T12:00:00Z" } }]
List available log kindsProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit/ log/ kind \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a log kindProduction
Path parameters
Name
Response
List of additional log fields managed in this log kind
Creation date of the log kind
Log kind display name
Log kind ID
Log kind name
Last update date of the log kind
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit/ log/ kind/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "additionalReturnedFields": [ "string" ], "createdAt": "2024-01-01T12:00:00Z", "displayName": "string", "kindId": "00000000-0000-0000-0000-000000000000", "name": "string", "updatedAt": "2024-01-01T12:00:00Z"}
List subscription IDs for a clusterProduction
Query parameters
Filter on a specific kind (e.g., audit)
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Create a subscription from logs to a pre-existing LDP streamProduction
Request body (required)
Log kind name to subscribe to
Customer log stream ID
Response
Identifier of the operation
Operation owner's service name
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit/ log/ subscription \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Get subscription detailsProduction
Path parameters
Subscription ID
Response
Creation date of the subscription
Log kind name of this subscription
Subscribed resource, where the logs come from
Name of the destination log service
Id of the destination log stream
Subscription ID
Last update date of the subscription
Example uses subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "kind": "string", "resource": { "name": "string", "type": "string" }, "serviceName": "string", "streamId": "string", "subscriptionId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Delete a subscriptionProduction
Path parameters
Subscription ID
Response
Identifier of the operation
Operation owner's service name
Example uses subscriptionId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit/ log/ subscription/ {subscriptionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "operationId": "00000000-0000-0000-0000-000000000000", "serviceName": "string"}
Generate a temporary URL to retrieve logsProduction
Request body (required)
Log kind name
Response
Temporary url expiration date
Temporary url
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ logs/ audit/ log/ url \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}